# $Revision: 1.150 $, $Date: 2008/11/27 19:16:07 $
#
# Conditional build:
%bcond_with	dynamic		# link dynamically with glib and eventlog
#
Summary:	Syslog-ng - new generation of the system logger
Summary(pl.UTF-8):	Syslog-ng - zamiennik syskloga
Summary(pt_BR.UTF-8):	Daemon de log nova geração
Name:		syslog-ng
Version:	2.0.10
Release:	1
License:	GPL v2
Group:		Daemons
Source0:	http://www.balabit.com/downloads/files/syslog-ng/sources/stable/src/%{name}-%{version}.tar.gz
# Source0-md5:	3f96ccf13dda0b9e150e511bcffde795
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	%{name}.logrotate
Patch0:		%{name}-link.patch
Patch1:		%{name}-datadir.patch
URL:		http://www.balabit.com/products/syslog_ng/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
%if %{with dynamic}
BuildRequires:	eventlog-devel >= 0.2
BuildRequires:	glib2-devel >= 1:2.2.0
BuildRequires:	libnet-devel >= 1:1.1.2.1-3
BuildRequires:	libwrap-devel
%else
BuildRequires:	eventlog-static >= 0.2
BuildRequires:	glib2-static >= 1:2.2.0
BuildRequires:	libnet-static >= 1:1.1.2.1-3
BuildRequires:	libwrap-static
%endif
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires:	logrotate
Requires:	psmisc >= 20.1
Requires:	rc-scripts >= 0.2.0
Provides:	syslogdaemon
Conflicts:	klogd
Conflicts:	msyslog
Conflicts:	syslog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
syslog-ng is a syslogd replacement for Unix and Unix-like systems. It
has been tested on Solaris, BSDi and Linux, and were found to run
reliably. syslog-ng gives you a much enhanced configuration scheme,
which lets you filter messages based on not only priority/facility
pairs, but also on message content. You can use regexps to direct log
stream to different destinations. A destination can be anything from a
simple file to a network connection. syslog-ng supports TCP
logforwarding, together with hashing to prevent unauthorized
modification on the line.

%description -l pl.UTF-8
Syslog-ng jest zamiennikiem dla standardowo używanych programów typu
syslog. Działa w systemie SunOS, BSD, Linux. Daje znacznie większe
możliwości logowania i kontrolowania zbieranych informacji.

%description -l pt_BR.UTF-8
Syslog-ng é um substituto para o syslog tradicional, mas com diversas
melhorias, como, por exemplo, a habilidade de filtrar mensagens de log
por seu conteúdo (usando expressões regulares) e não apenas pelo par
facility/prioridade como o syslog original.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__tar} xzf doc/reference/syslog-ng.html.tar.gz

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--sysconfdir=%{_sysconfdir}/syslog-ng \
%if %{with dynamic}
	--enable-dynamic-linking
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,logrotate.d,rc.d/init.d},%{_sysconfdir}/syslog-ng} \
	$RPM_BUILD_ROOT/var/{log,lib/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/syslog-ng
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/syslog-ng/syslog-ng.conf
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/syslog-ng

for n in daemon debug iptables kernel lpr maillog messages secure spooler syslog user xferlog
do
	> $RPM_BUILD_ROOT/var/log/$n
done
touch $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
for n in /var/log/{daemon,debug,iptables,kernel,lpr,maillog,messages,secure,spooler,syslog,user,xferlog}
do
	[ -f $n ] && continue
	touch $n
	chmod 640 $n
done

/sbin/chkconfig --add syslog-ng
%service syslog-ng restart "syslog-ng daemon"

%preun
if [ "$1" = "0" ]; then
	%service syslog-ng stop
	/sbin/chkconfig --del syslog-ng
fi

%files
%defattr(644,root,root,755)
%doc doc/examples/syslog-ng.conf.sample doc/reference/syslog-ng.txt* contrib/syslog-ng.conf.{doc,RedHat}
%doc syslog-ng.html/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(750,root,root) %dir %{_sysconfdir}/syslog-ng
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/syslog-ng/syslog-ng.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/syslog-ng
%attr(754,root,root) /etc/rc.d/init.d/syslog-ng
%attr(755,root,root) %{_bindir}/loggen
%attr(755,root,root) %{_sbindir}/syslog-ng
%dir %{_var}/lib/%{name}
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*

%attr(640,root,root) %ghost /var/log/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: syslog-ng.spec,v $
Revision 1.150  2008/11/27 19:16:07  arekm
- up to 2.0.10

Revision 1.149  2008-06-11 15:50:55  hawk
- release 3

Revision 1.148  2008-06-01 14:26:27  glen
- release 2

Revision 1.147  2008-05-31 11:45:44  qboosh
- updated to 2.0.9

Revision 1.146  2008-04-02 19:44:40  glen
- release 2

Revision 1.145  2008-03-01 18:58:59  qboosh
- updated to 2.0.8

Revision 1.144  2008-02-07 08:55:00  ankry
- unix -> Unix, gpl -> GPL, etc.

Revision 1.143  2008-01-13 17:24:19  qboosh
- updated to 2.0.7

Revision 1.142  2007-12-20 17:12:54  megabajt
- added CVE reference for revision 1.139

Revision 1.141  2007-12-08 07:38:30  hawk
- keep syslong-ng.persist file in /var/lib/syslog-ng instead of /var
- release 2

Revision 1.140  2007-12-06 15:09:46  blues
- oops, rel.1

Revision 1.139  2007-12-06 15:07:51  blues
- 2.0.6 [fixes CVE-2007-6437]

Revision 1.138  2007-11-10 13:04:00  hawk
- updated to 2.0.5

Revision 1.137  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.136  2007/08/26 11:53:57  qboosh
- Conflicts: klogd for consistency

Revision 1.135  2007/08/04 16:10:37  patrys
- conflict instead of obsolete

Revision 1.134  2007/08/04 15:36:29  patrys
- conflict with syslog

Revision 1.133  2007/04/03 22:12:36  qboosh
- updated to 2.0.3
- updated link patch

Revision 1.132  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.131  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.130  2007/02/11 11:49:38  arekm
- eventlog >= 0.2

Revision 1.129  2007/02/11 00:30:31  areq
- 2.0.2

Revision 1.128  2006/11/16 19:25:04  qboosh
- updated to 2.0.0

Revision 1.127  2006/11/05 20:59:43  sparky
- BR: glibc-static

Revision 1.126  2006/10/17 09:38:31  jajcus
- version 2.0rc3 (includes important bugfixes)

Revision 1.125  2006/09/26 18:36:38  glen
- glib2 epoch, cosmetics

Revision 1.124  2006/08/30 04:44:28  havner
- /var/log/iptables added as its in config file and logrotate
- rel 3

Revision 1.123  2006/08/30 04:34:06  havner
- xferlog added
- rel 2

Revision 1.122  2006/05/25 18:02:25  qboosh
- updated to 1.9.11 (IPv6 support, bugfixes)

Revision 1.121  2006/05/11 21:37:42  glen
- add sysconfig file

Revision 1.120  2006/05/09 14:40:22  glen
- BR pkgconfig

Revision 1.119  2006/05/09 14:37:11  glen
- doesn't build here

Revision 1.118  2006/04/22 19:09:43  qboosh
- updated to 1.9.10, removed obsolete level patch

Revision 1.117  2006/03/25 22:24:10  qboosh
- License is GPL v2 (only)

Revision 1.116  2006/03/25 22:11:24  qboosh
- added level patch (fixes level filters); release 2

Revision 1.115  2006/03/12 20:52:35  qboosh
- added dynamic bcond

Revision 1.114  2006/03/01 18:58:37  baggins
- no, we don't want to use shared eventlog

Revision 1.113  2006/03/01 18:48:07  glen
- use %service

Revision 1.112  2006/02/28 14:03:46  baggins
- rel 1

Revision 1.111  2006/02/27 21:31:01  baggins
- time to move to 2.0 - updated to 1.9.9

Revision 1.110  2006/02/27 18:53:38  baggins
- updated files
- killed /var/log/mail dir

Revision 1.109  2006/02/27 18:07:00  baggins
- cleaned up, non-duplicating, consistent configuration
- be aware you may find very little in /var/log/messages now

Revision 1.108  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.107  2005/12/07 13:40:02  hawk
- release 3 (2 for Ra)

Revision 1.106  2005/11/27 22:51:42  qboosh
- updated to 1.6.9

Revision 1.105  2005/08/04 08:25:07  hawk
- release should be 2 (1 is for Ra)

Revision 1.104  2005/05/26 17:15:34  areq
- 1.6.8

Revision 1.103  2005/04/13 13:04:54  hawk
- release 3 (2 for Ra)

Revision 1.102  2005/04/10 07:43:44  paszczus
- updated to 1.6.7

Revision 1.101  2005/04/02 11:39:57  havner
- rel 3 for fixed logrotate config

Revision 1.100  2005/03/09 20:54:05  qboosh
- release 2

Revision 1.99  2005/02/06 14:55:33  qboosh
- updated to 1.6.6, added link patch

Revision 1.98  2004/11/24 17:04:12  witekfl
- html docs added to %doc
- rel 4

Revision 1.97  2004/10/12 20:46:30  paszczus
- massive attack: added Sources-size

Revision 1.96  2004/09/05 18:45:20  grzegol
- rel. 3

Revision 1.95  2004/09/05 16:44:45  grzegol
- removed /var/log/archiv directory - it is in logrotate package, which is
  required by syslog-ng

Revision 1.94  2004/08/13 00:03:48  arekm
- rel 2; rebuild with fixed cron entry in config

Revision 1.93  2004/08/06 19:20:52  qboosh
- updated to 1.6.5, removed obsolete ac25x patch, simplified spec

Revision 1.92  2004/05/19 14:31:34  undefine
- update to 1.6.4

Revision 1.91  2004/05/12 12:47:07  pbern
- BR: libol-static >= 0.3.13

Revision 1.90  2004/05/12 06:48:45  paszczus
- fixed URL

Revision 1.89  2004/05/12 00:11:19  arekm
- updated to 1.6.3

Revision 1.88  2004/03/31 21:07:33  arekm
- final 1.6.2

Revision 1.87  2004/03/03 20:48:44  undefine
- more examples, .2

Revision 1.86  2003/11/08 17:12:07  pius
- up to 1.6.0-rc4
- fixed syslog-ng-ac25x.patch for autoconf-1.58

Revision 1.85  2003/09/10 21:13:10  blues
- release 3 - enabled tcp wrapper support, not tested

Revision 1.84  2003/09/10 20:32:55  blues
- merged from RA-branch

Revision 1.83  2003/09/10 18:02:52  blues
- cosmetics

Revision 1.82  2003/08/13 08:03:27  pbern
- update BR

Revision 1.81  2003/07/28 13:21:16  pascalek
- updated to 1.6.0rc3

Revision 1.80  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.79  2003/05/25 06:27:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.78  2003/02/23 01:17:13  misi3k
- fix URL Source0

Revision 1.77  2003/02/14 13:59:26  qboosh
- fixed patch number

Revision 1.76  2003/02/14 13:30:30  qboosh
- merged DEVEL

Revision 1.56.2.6  2003/02/14 13:15:22  qboosh
- 1.5.26

Revision 1.56.2.5  2002/11/05 15:16:54  qboosh
- updated to 1.5.23, updated ac25x patch

Revision 1.56.2.4  2002/10/11 07:44:53  qboosh
- security update to 1.5.21

Revision 1.56.2.3  2002/09/21 00:55:12  baggins
- I want to see if the restart succeded in %post :/

Revision 1.56.2.2  2002/09/20 13:27:18  baggins
- updated to 1.5.20
- obsoletes klogd - AT LAST!

Revision 1.75  2002/12/07 23:49:27  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.74  2002/11/21 11:54:31  undefine
- add obsoletes msyslog

Revision 1.73  2002/11/04 16:38:39  jack
- updated to version 1.4.17
- from changelog:
  * Fixed a possible off-by-one problem
  * A more correct version of the previous security update was added.

Revision 1.72  2002/10/10 23:08:50  cieciwa
- update to version 1.4.16,
- release 1.

Revision 1.71  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.70  2002/08/16 14:01:18  blues
- small fix in directories creation - STBR again

Revision 1.69  2002/08/16 13:19:50  kloczek
- release 8.

Revision 1.68  2002/08/16 10:06:45  blues
- added missing dirs

Revision 1.67  2002/07/31 00:25:21  undefine
- yet another change in syslog-ng.conf file
- release 7.

Revision 1.66  2002/07/30 23:21:53  undefine
- release 6 to rebuild with fixed syslog-ng.conf

Revision 1.65  2002/07/30 18:08:37  kloczek
- release 5,
- remove logging all on tty12 *this is unsecure in default configuration),
- remove duplicated mail logging to /var/log/mail

Revision 1.64  2002/07/02 10:35:17  gotar
- Requires -> Requires(post): fileutils

Revision 1.63  2002/07/01 08:09:47  gotar
- ooops, previous change will cause erasing logs on upgrade,
  touch back in %post, release 4.

Revision 1.62  2002/06/13 18:05:38  gotar
- cosmetics,
- typo,
- stale logrotate.d prefix,
- touch replaced with >,
- new %doc.

Revision 1.61  2002/05/21 23:14:48  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.60  2002/05/13 20:05:20  qboosh
- added ac25x patch needed for autoconf 2.53
- use config(noreplace)
- fixed bashism in %post
- release 3

Revision 1.59  2002/05/13 06:53:20  kloczek
- updated to 1.4.15.

Revision 1.58  2002/05/05 15:55:16  kloczek
- merge translations from Conectiva.

Revision 1.57  2002/05/05 13:38:26  speedy
- s/GNU\/Linux/Linux/g - STBR

Revision 1.56  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.55  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:15:08  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/10/22 22:11:23  qboosh
- rm -f missing

Revision 1.52  2001/10/22 11:43:52  areq
- 1.4.14, STBR

Revision 1.51  2001/10/06 23:48:27  baggins
- release 2
- proper logrotate config

Revision 1.50  2001/09/25 18:02:07  kloczek
- updated to 1.4.13.

Revision 1.49  2001/09/25 13:46:11  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.48  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/07/13 18:54:24  areq
- 1.4.12, STBR

Revision 1.45  2001/04/28 15:09:35  qboosh
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release up

Revision 1.44  2001/04/09 08:27:09  mkochano
- Release 2.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.43  2001/02/25 19:11:15  areq
- BuildRequires:  libol-static >= 0.2.21 STB

Revision 1.42  2001/02/25 18:54:44  areq
- 1.4.11

Revision 1.41  2001/02/19 18:37:44  kloczek
- regenerate all am/ac files for allow build in automake > 1.4 environment.

Revision 1.40  2001/02/19 14:02:20  baggins
- release 2
- added /var/log/messages to logrotate

Revision 1.39  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.38  2000/12/28 22:45:23  areq
- add Requires:       fileutils

Revision 1.37  2000/11/30 02:01:12  kloczek
- updated to 1.4.10.

Revision 1.36  2000/11/22 22:33:09  kloczek
- updated to 1.4.9.

Revision 1.35  2000/11/06 14:34:14  kloczek
- updated to 1.4.8.

Revision 1.34  2000/10/04 03:35:21  kloczek
- updated to 1.4.7 (importand release because in 1.4.7 was fixed mem leak),
- BuildRequires: libol-static >= 0.2.20,
- use new rpm automation suit.

Revision 1.33  2000/09/25 02:33:28  baggins
- release 10
- fixed ownership of inn (news.*) logs

Revision 1.32  2000/09/19 08:21:14  kloczek
- release 9,
- added restart klogd in %post (this is neccessary for correct logging
  information by klogd after restarting syslogd).

Revision 1.31  2000/09/06 14:19:04  zagrodzki
- fixed syslog-ng.init

Revision 1.30  2000/09/01 13:54:43  baggins
- typo

Revision 1.29  2000/09/01 13:53:11  baggins
- release 7
- fixed logrotate config

Revision 1.28  2000/08/28 09:01:58  zagrodzki
- release 6
- fixed broken %post/%postun scripts

Revision 1.27  2000/08/20 15:10:18  baggins
- release 5
- fixed logrotate config

Revision 1.26  2000/08/09 10:27:30  zagrodzki
- install -d /etc/logrotate.d

Revision 1.25  2000/08/09 10:23:46  zagrodzki
- release 4
- added logrotate config file
- requires: logrotate

Revision 1.24  2000/08/05 21:24:40  baggins
- release 3
- big compatibility cleanup in /var/log/ and syslog-ng.conf

Revision 1.23  2000/08/03 09:16:13  kloczek
- release 2,
- adapterized.

Revision 1.22  2000/08/01 14:55:05  mis
- Provide: "syslogdaemon" added

Revision 1.21  2000/07/25 05:59:20  kloczek
- updated to 1.4.5.

Revision 1.20  2000/06/09 07:55:11  kloczek
- more %{__make} macros.

Revision 1.19  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.18  2000/05/13 11:50:14  klakier
- release 3

Revision 1.17  2000/05/11 20:42:17  kloczek
- adapterized.

Revision 1.16  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.15  2000/04/25 21:59:09  zagrodzki
- typo

Revision 1.14  2000/04/25 20:55:28  bonkey
- release 2

Revision 1.13  2000/04/25 20:54:32  bonkey
- corrected %post and %preun scripts

Revision 1.12  2000/04/21 00:42:04  kloczek
- updated to 1.4.3.

Revision 1.11  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.9  2000/03/28 07:37:10  kloczek
- updated to 1.4.2,
- new init script (rc-script 0.2.x compliant).

Revision 1.8  2000/03/13 17:08:40  kloczek
- cosmetics.

Revision 1.7  2000/03/13 14:00:31  cieciwa
- change BuildRequires from libol >=0.2.4 to libol-static >= 0.2.4

Revision 1.6  2000/03/12 19:28:47  kloczek
- updated to 1.4.1,
- added "BuildRequires: flex".

Revision 1.5  2000/02/28 14:36:00  kloczek
- updated to 1.3.17,
- spec adapterized.
- gzipping %doc instead bzipping2,
  Package builds correctly but need testing.
